For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
      • POSTCreate a release policy
      • DELDelete a release policy
      • GETGet a release policy by key
      • GETList release policies
      • PUTUpdate a release policy
      • POSTUpdate the order of existing release policies
Sign inTry it free
LogoLogo
REST API overviewRelease Policies Beta

Delete a release policy

DELETE
/api/v2/projects/:projectKey/release-policies/:policyKey
DELETE
/api/v2/projects/:projectKey/release-policies/:policyKey
$curl -X DELETE https://app.launchdarkly.com/api/v2/projects/default/release-policies/production-release \
> -H "LD-API-Version: beta" \
> -H "Authorization: <apiKey>"
Delete an existing release policy for the specified project.
Was this page helpful?
Previous

Get a release policy by key

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequired
The project key
policyKeystringRequired

The human-readable key of the release policy

Headers

LD-API-VersionenumRequired
Version of the endpoint.
Allowed values:

Response

Release policy deleted successfully

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error